Package weka.gui

# Class JListHelper

java.lang.Object
weka.gui.JListHelper

public class JListHelper extends Object
A helper class for JList GUI elements with DefaultListModel or derived models.

Version:
  $Revision: 8034 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - `JList`
  - `DefaultListModel`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MOVE_DOWN`
  moves items down
  `static final int`
  `MOVE_UP`
  moves items up

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JListHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `canMoveDown(JList list)`
  checks whether the selected items can be moved down
  `static boolean`
  `canMoveUp(JList list)`
  checks whether the selected items can be moved up
  `static void`
  `moveBottom(JList list)`
  moves the selected items to the end
  `static void`
  `moveDown(JList list)`
  moves the selected item down by 1
  `static void`
  `moveTop(JList list)`
  moves the selected items to the top
  `static void`
  `moveUp(JList list)`
  moves the selected items up by 1

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MOVE_UP

    public static final int MOVE_UP
    moves items up
    See Also:
      - Constant Field Values

  - ### MOVE_DOWN

    public static final int MOVE_DOWN
    moves items down
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JListHelper

    public JListHelper()

- ## Method Details

  - ### moveUp

    public static void moveUp(JList list)
    moves the selected items up by 1
    Parameters:
      `list` - the JList to work on

  - ### moveDown

    public static void moveDown(JList list)
    moves the selected item down by 1
    Parameters:
      `list` - the JList to work on

  - ### moveTop

    public static void moveTop(JList list)
    moves the selected items to the top
    Parameters:
      `list` - the JList to work on

  - ### moveBottom

    public static void moveBottom(JList list)
    moves the selected items to the end
    Parameters:
      `list` - the JList to work on

  - ### canMoveUp

    public static boolean canMoveUp(JList list)
    checks whether the selected items can be moved up
    Parameters:
      `list` - the JList to work on

  - ### canMoveDown

    public static boolean canMoveDown(JList list)
    checks whether the selected items can be moved down
    Parameters:
      `list` - the JList to work on